Subject: performance issue of netdev_budget and dev_weight with ixgbe

From: Terry <[email-masked]>
Date: Fri, 20 Mar 2009 16:48:25 +0800

Hi Jesse,
I was doing some tuning work for ip-forwarding with oplin cards .
i found that when i set netdev_budget to 64(default is 300),just the 
same as  dev_weight in ixgbe, i got the highest forwarding rate.
not only in forwarding scenario, but also the  "receive and send back" 
scenario.
If I change  netdev_budget or weight in driver to any other value, the 
performace get worse.
how did the ixgbe driver folks pick  the  value of 64 and how does it 
affect the perf?

thanks & rgds
terry